
package org.tempuri;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "smsSoap", targetNamespace = "http://tempuri.org/")
@XmlSeeAlso({
    org.tempuri.ObjectFactory.class,
    org.w3._2001.xmlschema.ObjectFactory.class
})
public interface SmsSoap {


    /**
     * 
     * @return
     *     returns java.lang.String
     */
    @WebMethod(operationName = "HelloWorld", action = "http://tempuri.org/HelloWorld")
    @WebResult(name = "HelloWorldResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "HelloWorld", targetNamespace = "http://tempuri.org/", className = "org.tempuri.HelloWorld")
    @ResponseWrapper(localName = "HelloWorldResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.HelloWorldResponse")
    public String helloWorld();

    /**
     * 
     * @param uCellphone
     * @param uPassword
     * @param uUsername
     * @param uNumber
     * @param uMessage
     * @param uFarsi
     * @return
     *     returns org.tempuri.ArrayOfString
     */
    @WebMethod(action = "http://tempuri.org/doSendArraySMS")
    @WebResult(name = "doSendArraySMSResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "doSendArraySMS", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoSendArraySMS")
    @ResponseWrapper(localName = "doSendArraySMSResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoSendArraySMSResponse")
    public ArrayOfString doSendArraySMS(
        @WebParam(name = "uUsername", targetNamespace = "http://tempuri.org/")
        String uUsername,
        @WebParam(name = "uPassword", targetNamespace = "http://tempuri.org/")
        String uPassword,
        @WebParam(name = "uNumber", targetNamespace = "http://tempuri.org/")
        String uNumber,
        @WebParam(name = "uCellphone", targetNamespace = "http://tempuri.org/")
        ArrayOfString uCellphone,
        @WebParam(name = "uMessage", targetNamespace = "http://tempuri.org/")
        ArrayOfString uMessage,
        @WebParam(name = "uFarsi", targetNamespace = "http://tempuri.org/")
        ArrayOfBoolean uFarsi);

    /**
     * 
     * @param uPassword
     * @param uUsername
     * @param uNumber
     * @param uMessage
     * @param uFarsi
     * @param uCellphones
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "http://tempuri.org/doSendSMS")
    @WebResult(name = "doSendSMSResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "doSendSMS", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoSendSMS")
    @ResponseWrapper(localName = "doSendSMSResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoSendSMSResponse")
    public String doSendSMS(
        @WebParam(name = "uUsername", targetNamespace = "http://tempuri.org/")
        String uUsername,
        @WebParam(name = "uPassword", targetNamespace = "http://tempuri.org/")
        String uPassword,
        @WebParam(name = "uNumber", targetNamespace = "http://tempuri.org/")
        String uNumber,
        @WebParam(name = "uCellphones", targetNamespace = "http://tempuri.org/")
        String uCellphones,
        @WebParam(name = "uMessage", targetNamespace = "http://tempuri.org/")
        String uMessage,
        @WebParam(name = "uFarsi", targetNamespace = "http://tempuri.org/")
        boolean uFarsi);

    /**
     * 
     * @param uPassword
     * @param uUsername
     * @param uLastRowID
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "http://tempuri.org/doReceiveSMS")
    @WebResult(name = "doReceiveSMSResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "doReceiveSMS", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoReceiveSMS")
    @ResponseWrapper(localName = "doReceiveSMSResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoReceiveSMSResponse")
    public String doReceiveSMS(
        @WebParam(name = "uUsername", targetNamespace = "http://tempuri.org/")
        String uUsername,
        @WebParam(name = "uPassword", targetNamespace = "http://tempuri.org/")
        String uPassword,
        @WebParam(name = "uLastRowID", targetNamespace = "http://tempuri.org/")
        long uLastRowID);

    /**
     * 
     * @param uPassword
     * @param uUsername
     * @param uLastRowID
     * @return
     *     returns org.tempuri.DoReceiveSMSDSResponse.DoReceiveSMSDSResult
     */
    @WebMethod(action = "http://tempuri.org/doReceiveSMSDS")
    @WebResult(name = "doReceiveSMSDSResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "doReceiveSMSDS", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoReceiveSMSDS")
    @ResponseWrapper(localName = "doReceiveSMSDSResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoReceiveSMSDSResponse")
    public org.tempuri.DoReceiveSMSDSResponse.DoReceiveSMSDSResult doReceiveSMSDS(
        @WebParam(name = "uUsername", targetNamespace = "http://tempuri.org/")
        String uUsername,
        @WebParam(name = "uPassword", targetNamespace = "http://tempuri.org/")
        String uPassword,
        @WebParam(name = "uLastRowID", targetNamespace = "http://tempuri.org/")
        long uLastRowID);

    /**
     * 
     * @param uPassword
     * @param uUsername
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "http://tempuri.org/doReceiveSMSAll")
    @WebResult(name = "doReceiveSMSAllResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "doReceiveSMSAll", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoReceiveSMSAll")
    @ResponseWrapper(localName = "doReceiveSMSAllResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoReceiveSMSAllResponse")
    public String doReceiveSMSAll(
        @WebParam(name = "uUsername", targetNamespace = "http://tempuri.org/")
        String uUsername,
        @WebParam(name = "uPassword", targetNamespace = "http://tempuri.org/")
        String uPassword);

    /**
     * 
     * @param uPassword
     * @param uUsername
     * @return
     *     returns org.tempuri.DoReceiveSMSAllDSResponse.DoReceiveSMSAllDSResult
     */
    @WebMethod(action = "http://tempuri.org/doReceiveSMSAllDS")
    @WebResult(name = "doReceiveSMSAllDSResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "doReceiveSMSAllDS", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoReceiveSMSAllDS")
    @ResponseWrapper(localName = "doReceiveSMSAllDSResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.DoReceiveSMSAllDSResponse")
    public org.tempuri.DoReceiveSMSAllDSResponse.DoReceiveSMSAllDSResult doReceiveSMSAllDS(
        @WebParam(name = "uUsername", targetNamespace = "http://tempuri.org/")
        String uUsername,
        @WebParam(name = "uPassword", targetNamespace = "http://tempuri.org/")
        String uPassword);

    /**
     * 
     * @param uUsername
     * @param uReturnIDs
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "http://tempuri.org/getDelivery")
    @WebResult(name = "getDeliveryResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "getDelivery", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDelivery")
    @ResponseWrapper(localName = "getDeliveryResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDeliveryResponse")
    public String getDelivery(
        @WebParam(name = "uUsername", targetNamespace = "http://tempuri.org/")
        String uUsername,
        @WebParam(name = "uReturnIDs", targetNamespace = "http://tempuri.org/")
        String uReturnIDs);

    /**
     * 
     * @param uPassword
     * @param uUsername
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "http://tempuri.org/getInfo")
    @WebResult(name = "getInfoResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "getInfo", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetInfo")
    @ResponseWrapper(localName = "getInfoResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetInfoResponse")
    public String getInfo(
        @WebParam(name = "uUsername", targetNamespace = "http://tempuri.org/")
        String uUsername,
        @WebParam(name = "uPassword", targetNamespace = "http://tempuri.org/")
        String uPassword);

}
